it-swarm-ja.com

新しいWindows7 PC、.NET 1.1、2.0、3.0、および3.5を追加する必要がありますか、それとも4.0を追加するだけですか?

今日はWindows7PCを購入しました。まず、.NET4.0をインストールする必要があります。

進行状況を確認する必要がありますか?.NET 1.1を追加し、WindowsUpdateをインストールします。 .NET 2.0を追加し、WindowsUpdateをインストールします。 3.0、3.5など、.net 4.0(必要)に到達するまで?

または、.NET 4.0 Fullに直接アクセスしてダウンロードし、それで完了できますか?

4
Jason Weber

.Net4.0をインストールするだけです。 Windows7には3.5が標準で付属しています。バージョン4.0には、極端に高度ではないほとんどのアプリケーションの下位互換性が含まれています。

4
Jeremy

.NET Frameworkリリースは、通常、メジャーバージョンごとに並べてインストールできます。 1.1は2.0から独立しており、2.0も同様に4.0から独立しています。 .NET 3.0と3.5は、ほとんどが2.0の拡張機能であるという点で混乱を招きました。 4.5(リリース後)は4.0の上にインストールされます。

とは言うものの、Windows7にはデフォルトで.NET3.5がインストールされています(これは暗黙的に2.0と3.0もカバーします)。 .NET 1.1はまだ別のインストーラーであり、いくつかの検索結果から、Win7へのインストールには互換性の問題があるようです。また、Win7は、 。NET 1.1 RTMダウンロードページ または 1.1 SP1ダウンロードページ )でサポートされているプラ​​ットフォームにリストされていません。

[編集:] Win7に1.1をインストールする手順については、 ここ を参照してください。

1
Jimmy